package com.chy.borrow.mapper;

import com.chy.borrow.entity.TmpCode;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * <p>
 * 临时编号 Mapper 接口
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-11
 */
@Repository
public interface TmpCodeMapper extends BaseMapper<TmpCode> {
    Page<Map> getList(Map map);
    Integer getCountByCode(@Param("tmpCode") String tmpCode);
    Map getInfoById(@Param("tmpCode") String tmpCode);
}
